/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteRouteInput } from "../types/DeleteRouteInput";
import { DeleteRouteOutput } from "../types/DeleteRouteOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/DeleteRouteInput";
export * from "../types/DeleteRouteOutput";
export * from "../types/DeleteRouteExceptionsUnion";
export declare class DeleteRouteCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteRouteInput, OutputTypesUnion, DeleteRouteOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteRouteInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteRouteInput, DeleteRouteOutput, _stream.Readable>;
    constructor(input: DeleteRouteInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<DeleteRouteInput, DeleteRouteOutput>;
}
