/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetApisInput } from "../types/GetApisInput";
import { GetApisOutput } from "../types/GetApisOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/GetApisInput";
export * from "../types/GetApisOutput";
export * from "../types/GetApisExceptionsUnion";
export declare class GetApisCommand implements __aws_sdk_types.Command<InputTypesUnion, GetApisInput, OutputTypesUnion, GetApisOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: GetApisInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetApisInput, GetApisOutput, _stream.Readable>;
    constructor(input: GetApisInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<GetApisInput, GetApisOutput>;
}
