/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetDeploymentInput } from "../types/GetDeploymentInput";
import { GetDeploymentOutput } from "../types/GetDeploymentOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/GetDeploymentInput";
export * from "../types/GetDeploymentOutput";
export * from "../types/GetDeploymentExceptionsUnion";
export declare class GetDeploymentCommand implements __aws_sdk_types.Command<InputTypesUnion, GetDeploymentInput, OutputTypesUnion, GetDeploymentOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: GetDeploymentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetDeploymentInput, GetDeploymentOutput, _stream.Readable>;
    constructor(input: GetDeploymentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<GetDeploymentInput, GetDeploymentOutput>;
}
