/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateIntegrationInput } from "../types/UpdateIntegrationInput";
import { UpdateIntegrationOutput } from "../types/UpdateIntegrationOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/UpdateIntegrationInput";
export * from "../types/UpdateIntegrationOutput";
export * from "../types/UpdateIntegrationExceptionsUnion";
export declare class UpdateIntegrationCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateIntegrationInput, OutputTypesUnion, UpdateIntegrationOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateIntegrationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateIntegrationInput, UpdateIntegrationOutput, _stream.Readable>;
    constructor(input: UpdateIntegrationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<UpdateIntegrationInput, UpdateIntegrationOutput>;
}
