"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteIntegrationResponseInput_1 = require("../shapes/DeleteIntegrationResponseInput");
const DeleteIntegrationResponseOutput_1 = require("../shapes/DeleteIntegrationResponseOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteIntegrationResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteIntegrationResponse",
    http: {
        method: "DELETE",
        requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses/{integrationResponseId}"
    },
    input: {
        shape: DeleteIntegrationResponseInput_1.DeleteIntegrationResponseInput
    },
    output: {
        shape: DeleteIntegrationResponseOutput_1.DeleteIntegrationResponseOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteIntegrationResponse.js.map