"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _Tags_1 = require("./_Tags");
exports.CreateApiInput = {
    type: "structure",
    required: ["RouteSelectionExpression", "ProtocolType", "Name"],
    members: {
        ApiKeySelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "apiKeySelectionExpression"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        DisableSchemaValidation: {
            shape: {
                type: "boolean"
            },
            locationName: "disableSchemaValidation"
        },
        Name: {
            shape: {
                type: "string"
            },
            locationName: "name"
        },
        ProtocolType: {
            shape: {
                type: "string"
            },
            locationName: "protocolType"
        },
        RouteSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "routeSelectionExpression"
        },
        Version: {
            shape: {
                type: "string"
            },
            locationName: "version"
        },
        Tags: {
            shape: _Tags_1._Tags,
            locationName: "tags"
        }
    }
};
//# sourceMappingURL=CreateApiInput.js.map