"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetIntegrationResponsesInput = {
    type: "structure",
    required: ["IntegrationId", "ApiId"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        IntegrationId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "integrationId"
        },
        MaxResults: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "maxResults"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "nextToken"
        }
    }
};
//# sourceMappingURL=GetIntegrationResponsesInput.js.map