"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _DomainNameConfigurations_1 = require("./_DomainNameConfigurations");
exports.UpdateDomainNameInput = {
    type: "structure",
    required: ["DomainName"],
    members: {
        DomainName: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "domainName"
        },
        DomainNameConfigurations: {
            shape: _DomainNameConfigurations_1._DomainNameConfigurations,
            locationName: "domainNameConfigurations"
        }
    }
};
//# sourceMappingURL=UpdateDomainNameInput.js.map