import { ServiceException as __ServiceException__ } from "@aws-sdk/types";
/**
 * <p>A limit has been exceeded. See the accompanying error message for details.</p>
 */
export interface TooManyRequestsException extends __ServiceException__<_TooManyRequestsExceptionDetails> {
    name: "TooManyRequestsException";
}
export interface _TooManyRequestsExceptionDetails {
    /**
     * <p>The limit type.</p>
     */
    LimitType?: string;
    /**
     * <p>Describes the error encountered.</p>
     */
    Message?: string;
}
