/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteApiInput } from "../types/DeleteApiInput";
import { DeleteApiOutput } from "../types/DeleteApiOutput";
import { ApiGatewayV2ResolvedConfiguration } from "../ApiGatewayV2Configuration";
export * from "../types/DeleteApiInput";
export * from "../types/DeleteApiOutput";
export * from "../types/DeleteApiExceptionsUnion";
export declare class DeleteApiCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteApiInput, OutputTypesUnion, DeleteApiOutput, ApiGatewayV2ResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteApiInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteApiInput, DeleteApiOutput, _stream.Readable>;
    constructor(input: DeleteApiInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ApiGatewayV2ResolvedConfiguration): __aws_sdk_types.Handler<DeleteApiInput, DeleteApiOutput>;
}
