"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetApiMappingsInput_1 = require("../shapes/GetApiMappingsInput");
const GetApiMappingsOutput_1 = require("../shapes/GetApiMappingsOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApiMappings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApiMappings",
    http: {
        method: "GET",
        requestUri: "/v2/domainnames/{domainName}/apimappings"
    },
    input: {
        shape: GetApiMappingsInput_1.GetApiMappingsInput
    },
    output: {
        shape: GetApiMappingsOutput_1.GetApiMappingsOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetApiMappings.js.map