"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateApiMappingInput = {
    type: "structure",
    required: ["DomainName", "Stage", "ApiId"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            locationName: "apiId"
        },
        ApiMappingKey: {
            shape: {
                type: "string"
            },
            locationName: "apiMappingKey"
        },
        DomainName: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "domainName"
        },
        Stage: {
            shape: {
                type: "string"
            },
            locationName: "stage"
        }
    }
};
//# sourceMappingURL=CreateApiMappingInput.js.map