"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RouteModels_1 = require("./_RouteModels");
const _RouteParameters_1 = require("./_RouteParameters");
exports.CreateRouteResponseInput = {
    type: "structure",
    required: ["ApiId", "RouteId", "RouteResponseKey"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        ModelSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "modelSelectionExpression"
        },
        ResponseModels: {
            shape: _RouteModels_1._RouteModels,
            locationName: "responseModels"
        },
        ResponseParameters: {
            shape: _RouteParameters_1._RouteParameters,
            locationName: "responseParameters"
        },
        RouteId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "routeId"
        },
        RouteResponseKey: {
            shape: {
                type: "string"
            },
            locationName: "routeResponseKey"
        }
    }
};
//# sourceMappingURL=CreateRouteResponseInput.js.map