"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetIntegrationResponseInput = {
    type: "structure",
    required: ["ApiId", "IntegrationResponseId", "IntegrationId"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        IntegrationId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "integrationId"
        },
        IntegrationResponseId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "integrationResponseId"
        }
    }
};
//# sourceMappingURL=GetIntegrationResponseInput.js.map