"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RouteModels_1 = require("./_RouteModels");
const _RouteParameters_1 = require("./_RouteParameters");
exports._RouteResponse = {
    type: "structure",
    required: ["RouteResponseKey"],
    members: {
        ModelSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "modelSelectionExpression"
        },
        ResponseModels: {
            shape: _RouteModels_1._RouteModels,
            locationName: "responseModels"
        },
        ResponseParameters: {
            shape: _RouteParameters_1._RouteParameters,
            locationName: "responseParameters"
        },
        RouteResponseId: {
            shape: {
                type: "string"
            },
            locationName: "routeResponseId"
        },
        RouteResponseKey: {
            shape: {
                type: "string"
            },
            locationName: "routeResponseKey"
        }
    }
};
//# sourceMappingURL=_RouteResponse.js.map